// Speaker v1.00 : Programme M5Stack.
// Ecrit par Frank LOBA.
// Date création : 08/11/2022.
// Dernière mise à jour : 08/11/2022.


/**** INCLUSION DES FICHIERS EN-TETE ****/
#include <M5Stack.h>

/**** DEFINITION DE LA FONCTION D'INITIALISATION ****/
void setup()
{
  // Initialisation du système.
  M5.begin();
  
  // Effacement de l'écran.
  M5.Lcd.clear();

  // Positionnement du curseur.
  M5.Lcd.setCursor(0, 0);

  // Définition de la taille des caractères.
  M5.Lcd.setTextSize(5);

  // Affichage de Hello à l'écran.
  M5.Lcd.print("Hello\n");

  // Ecriture de Hello dans le port série.
  Serial.println("Hello");

  // Initialisation du son.
  M5.Speaker.begin();
}

/**** DEFINITION DE LA FONCTION D'EXECUTION ****/
void loop()
{
  // Mise à jour.
  M5.update();

  // Appuis sur le bouton A.
  if(M5.BtnA.wasPressed())
  {
    // Effacement de l'écran.
    M5.Lcd.clear();

    // Positionnement du curseur.
    M5.Lcd.setCursor(0, 0);

    // Affichage de A à l'écran.
    M5.Lcd.print("A");

    // Ecriture de A dans le port série.
    Serial.println("A");

    // Réglage du volume du son sur doucement.
    M5.Speaker.setVolume(4);
  }

  // Appuis sur le bouton B.
  if(M5.BtnB.wasPressed())
  {
    // Effacement de l'écran.
    M5.Lcd.clear();

    // Positionnement du curseur.
    M5.Lcd.setCursor(0, 0);

    // Affichage de B à l'écran.
    M5.Lcd.print("B");

    // Ecriture de B dans le port série.
    Serial.println("B");

    // Emission d'un son de fréquence 440 Hz pour une durée de 1000 ms.
    M5.Speaker.tone(440, 1000);
  }

  // Appuis sur le bouton C.
  if(M5.BtnC.wasPressed())
  {
    // Effacement de l'écran.
    M5.Lcd.clear();

    // Positionnement du curseur.
    M5.Lcd.setCursor(0, 0);

    // Affichage de C à l'écran.
    M5.Lcd.print("C");

    // Ecriture de C dans le port série.
    Serial.println("C");
    
    // Réglage du volume du son sur fort.
    M5.Speaker.setVolume(8);
  }

  // Attente de 20 ms.
  delay(20);
}
